Bug 140812 - ldconfig from glibc-2.3.3-27.1 fails to scan /etc/ld.so.conf.d
ldconfig from glibc-2.3.3-27.1 fails to scan /etc/ld.so.conf.d
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 22:00 EST by Kenneth Porter
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 01:25:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenneth Porter 2004-11-24 22:00:17 EST
I installed the latest MySQL and perl-DBD-MySQL from Rawhide. These
place files in /etc/ld.so.conf.d containing "/usr/lib/mysql". However,
libraries in that directory are not subsequently added to the cache,
as revealed by "ldconfig -v". Running ldd against the mysql.so from
perl-DBD-MySQL shows that it can't find libmysqlclient.so.14. I
strace'd ldconfig and found that it never referenced /etc/ld.so.conf.d.

If I run ldconfig with /usr/lib/mysql included on the command line, my
Perl scripts (and in particular, my bugzilla installation) work again.
Comment 1 Jakub Jelinek 2004-11-25 01:25:15 EST
Make sure
include /etc/ld.so.conf.d/*.conf
is in your /etc/ld.so.conf
Guess you haven't merged /etc/ld.so.conf.rpmnew with /etc/ld.so.conf during
some upgrade.
FC3 glibc edits this file automatically, but FC2 does not.
Anyway, during any install you should scan .rpmnew files and check what
needs updating always, otherwise you can end up with not fully functioning system.

Note You need to log in before you can comment on or make changes to this bug.